Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class ClientSelectItem

    java.lang.Object
      org.richfaces.renderkit.ClientSelectItem

All Implemented Interfaces:
  org.ajax4jsf.javascript.ScriptString

    public final class ClientSelectItem

extends Object
implements org.ajax4jsf.javascript.ScriptString

Author:
  Brian Leathem

Constructor Summary
`ClientSelectItem(javax.faces.model.SelectItem selectItem, String convertedValue, String label, Integer sortOrder, boolean selected)`
`ClientSelectItem(javax.faces.model.SelectItem selectItem, String convertedValue, String label, Integer sortOrder, boolean selected, String clientId)`
`ClientSelectItem(javax.faces.model.SelectItem selectItem, String convertedValue, String label, String clientId)`

Method Summary
`void` | `appendScript(Appendable target)`
`void` | `appendScriptToStringBuilder(StringBuilder stringBuilder)`
`String` | `getClientId()`
`String` | `getConvertedValue()`
`String` | `getLabel()`
`javax.faces.model.SelectItem` | `getSelectItem()`
`Integer` | `getSortOrder()`
`boolean` | `isSelected()`
`void` | `setClientId(String clientId)`
`String` | `toScript()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientSelectItem

    public ClientSelectItem(javax.faces.model.SelectItem selectItem,
                            String convertedValue,
                            String label,
                            String clientId)

### ClientSelectItem

    public ClientSelectItem(javax.faces.model.SelectItem selectItem,
                            String convertedValue,
                            String label,
                            Integer sortOrder,
                            boolean selected)

### ClientSelectItem

    public ClientSelectItem(javax.faces.model.SelectItem selectItem,
                            String convertedValue,
                            String label,
                            Integer sortOrder,
                            boolean selected,
                            String clientId)

Method Detail

### getSelectItem

    public javax.faces.model.SelectItem getSelectItem()

### getClientId

    public String getClientId()

### setClientId

    public void setClientId(String clientId)

### getLabel

    public String getLabel()

### getConvertedValue

    public String getConvertedValue()

### appendScript

    public void appendScript(Appendable target)
                      throws IOException

  Specified by:
    `appendScript` in interface `org.ajax4jsf.javascript.ScriptString`
  Throws:
    `IOException`

### appendScriptToStringBuilder

    public void appendScriptToStringBuilder(StringBuilder stringBuilder)

  Specified by:
    `appendScriptToStringBuilder` in interface `org.ajax4jsf.javascript.ScriptString`

### toScript

    public String toScript()

  Specified by:
    `toScript` in interface `org.ajax4jsf.javascript.ScriptString`

### isSelected

    public boolean isSelected()

### getSortOrder

    public Integer getSortOrder()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.